curl --request POST \
--url https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "balanced"
}
'import requests
url = "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents"
payload = {
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "balanced"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', model: 'balanced'})
};
fetch('https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'model' => 'balanced'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents"
payload := strings.NewReader("{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"session_id": "<string>",
"status": "queued"
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}{
"error": "<string>"
}Generate a note from the patient's documents
Creates a new session for the patient and queues generation of a clinical note from the patient’s uploaded documents (text extraction must have completed for at least one document) — no recording or transcript needed. Returns 202 with the new session id; generation typically takes under a minute. Register a NOTE_CREATED outbound webhook to be notified when the note is ready, or poll GET /sessions//notes. Requires the notes:write scope. Each call creates a new session, so do not retry a request that already returned 202.
curl --request POST \
--url https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "balanced"
}
'import requests
url = "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents"
payload = {
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "balanced"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', model: 'balanced'})
};
fetch('https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'template_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'model' => 'balanced'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents"
payload := strings.NewReader("{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/patients/{patientId}/notes/from-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"template_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"model\": \"balanced\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"session_id": "<string>",
"status": "queued"
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}{
"error": "<string>"
}Authorizations
API key obtained from /api/v1/ext-api-keys
Path Parameters
^\d+$"481926357104938271"
Body
Generation options (all fields optional)
Template to generate with. Defaults to the clinician's default template. Must be a built-in template or one owned by your organization.
Note quality, the same choices as the HealOS dashboard: fast, balanced, or detailed. Defaults to the standard quality.
detailed, balanced, fast "balanced"
Was this page helpful?

